Jump to content
Welcome to our new Citrix community!
  • 0

Citrix Workspace App on Manjaro 18


Christoph Greiner

Question

Hello Folks,

got following problem:

[linux desktop]# /opt/Citrix/ICAClient/selfservice --icaroot /opt/Citrix/ICAClient
selfservice is unable to find a compatible webkit library and will now exit.
Please install libwebkitgtk-1.0 and restart selfservice.

 

How can i fix that - I installed webkit2gtk - cant find webkit1gtk.

 

Kind Regards

Christoph

Link to comment

1 answer to this question

Recommended Posts

  • 0

I had/have the same problem using the openSuse distro. Was able to find the webkit1 library through the repository of another version of the distro, but this doesn't seem to really work well. I can use the app through the browser, but had already several crashes this morning.

 

The webkit1gtk lib seems to be outdated, version 3 is already there. Maybe a good idea to upgrade the Workspace app?

 

What distro's and versions is the Linux version of the Workspace app developed/checked on? It's the main purpose of my linux machine, so I'm willing to move in your direction.

 

 

ICAclient_scrsht_crash_20190516.png

Link to comment

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...